
From: Nathan Scott <nathans@sgi.com>

XFS wants to use page->private as a bitmap of uptodate indicators for
sub-page-sized blocks (which is one of the things ->provate was intended
for).

But someone needs to initialise ->private somewhere.  best to do it in the
page allocator, so the zeroness of a new page's ->private becomes a
system-wide thing.



 mm/page_alloc.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN mm/page_alloc.c~init_page_private mm/page_alloc.c
--- 25/mm/page_alloc.c~init_page_private	2003-08-06 21:51:42.000000000 -0700
+++ 25-akpm/mm/page_alloc.c	2003-08-06 21:52:39.000000000 -0700
@@ -331,6 +331,7 @@ static void prep_new_page(struct page *p
 	page->flags &= ~(1 << PG_uptodate | 1 << PG_error |
 			1 << PG_referenced | 1 << PG_arch_1 |
 			1 << PG_checked | 1 << PG_mappedtodisk);
+	page->private = 0;
 	set_page_refs(page, order);
 }
 

_
